Contents
On this page

List Items - Plugixa Inventory

GET /plugixa-inventory/v1/items

List items, one page at a time, with search, filters and sorting.

The user needs the plugixa_inventory_view capability (administrators have every inventory capability). With Pro Roles and permissions enforcing, their role must also allow reading items.

Request

GET https://your-site.example/wp-json/plugixa-inventory/v1/items?search=paper&orderby=name&order=asc

Query parameters

Name Type Default Description
low_stock string Any non-empty value: only items with a reorder level above zero and on hand at or below it.

Plus the list parameters every paged list accepts. search matches name, sku, barcode, serial_number. orderby accepts id, name, sku, barcode, item_type, stock_quantity, reorder_level, unit_price, status, created_at, modified_at. view=trash lists the trash instead.

The filters this list accepts: status, item_type, category_id, default_warehouse_id, unit_id, unit_price, created_at, modified_at.

Responses

200 OK. data is one page of items.

{
  "success": true,
  "data": [
    {
      "id": 42,
      "name": "Printer paper A4",
      "sku": "PAP-A4",
      "barcode": "3045140105502",
      "serial_number": "",
      "item_type": "consumable",
      "category_id": 3,
      "default_warehouse_id": 1,
      "unit_id": null,
      "image_id": null,
      "stock_quantity": 120.0,
      "reorder_level": 20.0,
      "unit_price": 6.9,
      "cost_price": 4.2,
      "weight": 2.5,
      "weight_unit": "kg",
      "weight_base": 2.5,
      "track_weight": false,
      "status": "published",
      "description": "",
      "custom_fields": null,
      "assigned_user_id": null,
      "created_by": 1,
      "modified_by": 1,
      "created_at": "2026-11-12 09:30:00",
      "modified_at": "2026-11-12 10:15:00",
      "deleted_at": null,
      "image_url": null,
      "image_url_medium": null,
      "category_name": "Office supplies",
      "warehouse_name": "Main warehouse",
      "unit_name": null
    }
  ],
  "meta": {
    "total": 1,
    "pages": 1
  }
}
Field Type Meaning
data[] object One item, with the same fields as Get Item
meta.total integer Items matching the search and filters, before paging
meta.pages integer Number of pages at this per_page

Errors

Plus the errors every endpoint can return.

Examples

curl -s "https://your-site.example/wp-json/plugixa-inventory/v1/items?search=paper&orderby=name&order=asc" \
  -u "admin:$WP_APP_PASSWORD"
<?php
$query = http_build_query(['search' => 'paper', 'orderby' => 'name', 'order' => 'asc']);
$ch = curl_init('https://your-site.example/wp-json/plugixa-inventory/v1/items?' . $query);
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_USERPWD        => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const auth = 'Basic ' + btoa(`admin:${process.env.WP_APP_PASSWORD}`);
const query = new URLSearchParams({ search: 'paper', orderby: 'name', order: 'asc' });
const response = await fetch(`https://your-site.example/wp-json/plugixa-inventory/v1/items?${query}`, {
  headers: { 'Authorization': auth },
});
const { data, meta } = await response.json();

Quick Links

Share